org.bouncycastle.asn1.x509

## Class DigestInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.DigestInfo

All Implemented Interfaces:
  DEREncodable

    public class DigestInfo
    extends ASN1Encodable

The DigestInfo object.

     DigestInfo::=SEQUENCE{
              digestAlgorithm  AlgorithmIdentifier,
              digest OCTET STRING }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DigestInfo(AlgorithmIdentifier algId, byte[] digest)`
`DigestInfo(ASN1Sequence obj)`

### Method Summary

Methods
`AlgorithmIdentifier` `getAlgorithmId()`
`byte[]` `getDigest()`
`static DigestInfo` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DigestInfo` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DigestInfo

    public DigestInfo(AlgorithmIdentifier algId,
              byte[] digest)

#### DigestInfo

    public DigestInfo(ASN1Sequence obj)

### Method Detail

#### getInstance

    public static DigestInfo getInstance(ASN1TaggedObject obj,
                         boolean explicit)

#### getInstance

    public static DigestInfo getInstance(java.lang.Object obj)

#### getAlgorithmId

    public AlgorithmIdentifier getAlgorithmId()

#### getDigest

    public byte[] getDigest()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`